Flatpress 1.2.1 problem on login

This is the right place to report general bugs, make suggestions or ask for help.
Panther
Posts: 48
Joined: Mon Aug 12, 2019 11:05 pm

Flatpress 1.2.1 problem on login

Post by Panther » Thu Jul 29, 2021 12:08 pm

On my smartphone on my website I've disconnected, I cannot make login again couse this error on video. I insert user and password, after clicking on Login button, appears this error.

Code: Select all

Fatal error: Call to undefined function password_verify() in /web/htdocs/www.warsintheworld.com/home/fp-includes/core/core.users.php on line 49

The line 49 is the second ($loggedin = true;)

Code: Select all

		if (user_pwd($userid,$pwd) == $user['password']){
		
			$loggedin = true;
			
			// session_regenerate_id();
			
			$expire = time() + 31536000;
	
			setcookie(USER_COOKIE, $userid, $expire, COOKIEPATH, COOKIE_DOMAIN);
			setcookie(PASS_COOKIE, $user['password'], $expire, COOKIEPATH, COOKIE_DOMAIN);
					
		} 
		
		return $loggedin;
	}/code]

This problem is present from Flatpress version 1.2.1, before I hadn't.  I don't try from my computer, otherwise I don't enter more.
Attachments
Screenshot_2021-07-29-08-55-19-04.jpg (immagine JPEG, 1520 ร— 720 pixel) - Riscalata (78).jpg
Screenshot_2021-07-29-08-55-19-04.jpg (immagine JPEG, 1520 ร— 720 pixel) - Riscalata (78).jpg (12.93 KiB) Viewed 545 times

Panther
Posts: 48
Joined: Mon Aug 12, 2019 11:05 pm

Re: Flatpress 1.2.1 problem on login

Post by Panther » Fri Jul 30, 2021 10:37 pm

Someone can help me?

George
Posts: 10
Joined: Tue May 18, 2021 10:54 am
Location: Uk
Contact:

Re: Flatpress 1.2.1 problem on login

Post by George » Sat Jul 31, 2021 12:39 pm

Can you login from another device?
If so change your login details and retry from your phone

Panther
Posts: 48
Joined: Mon Aug 12, 2019 11:05 pm

Re: Flatpress 1.2.1 problem on login

Post by Panther » Sat Jul 31, 2021 10:32 pm

>>Can you login from another device?

No, I can't login from another device (I tried with another smartphone and browser, and on another browser on computer).

The problem in on fuction password_verify called on file core.users.php, this problem is present on Flatpress version 1.2.1, before with last versions I hadn't. There is a bug !

If don't believe me, try to disconnect and reconnect on your websites or try to another browser to make the login and you'll have already this problem.

With Flatpress 1.2.1 is not more possible to make login once made logout. Or to login in another browser.

Flatpress 1.2.1 has a big BUG ! Trust me, I've tried with 2 websites I manage.

User avatar
Arvid
FlatPress Coder
Posts: 250
Joined: Sat Jan 26, 2019 7:40 pm
Contact:

Re: Flatpress 1.2.1 problem on login

Post by Arvid » Sun Aug 01, 2021 7:53 am

Hi,

which PHP version are you running FlatPress on?

All the best,
Arvid

Panther
Posts: 48
Joined: Mon Aug 12, 2019 11:05 pm

Re: Flatpress 1.2.1 problem on login

Post by Panther » Sun Aug 01, 2021 8:22 pm

In both website I use PHP Version 5.3.29
This is the unic is working with my provider, the other versions (over 5.3) my 2 websites don't work at all.

User avatar
Arvid
FlatPress Coder
Posts: 250
Joined: Sat Jan 26, 2019 7:40 pm
Contact:

Re: Flatpress 1.2.1 problem on login

Post by Arvid » Mon Aug 02, 2021 10:57 am

FlatPress requires PHP 5.6 or above. I strongly recommend using only supported PHP versions (which is 7.4 and above at the moment).
PHP 5.3 ran out of support 2014 and does not include some of the functions current FlatPress versions use, including password_verify().

eagleman
Posts: 65
Joined: Sat Mar 02, 2019 12:10 pm

Re: Flatpress 1.2.1 problem on login

Post by eagleman » Tue Aug 03, 2021 12:04 pm

Panther wrote: โ†‘Sun Aug 01, 2021 8:22 pm In both website I use PHP Version 5.3.29
This is the unic is working with my provider, the other versions (over 5.3) my 2 websites don't work at all.
I have already tried to install an upgraded version of Flatpress on PHP 5.3 or older. It's impossible because the setup process won't start and show a blank page.
As Arvid correctly said, you need at least of PHP 5.6 or above.
I had to change the hosting provider to continue to use Flatpress.
In case is not possible to upgrade the PHP version on the server of your web hosting try to consider some alternative offers.

Panther
Posts: 48
Joined: Mon Aug 12, 2019 11:05 pm

Re: Flatpress 1.2.1 problem on login

Post by Panther » Thu Aug 05, 2021 10:12 pm

Changing php version from 5.3.29 to 5.6.32 (and above), I have this error on video:

Code: Select all

Fatal error: Call-time pass-by-reference has been removed in /web/htdocs/www.warsintheworld.com/home/fp-plugins/entrylist/plugin.entrylist.php on line 131
If I select 5.6.32 I can choice different options on php, but any of these works.

Any idea ?
Attachments
screen01.jpg
screen01.jpg (105.63 KiB) Viewed 408 times

Panther
Posts: 48
Joined: Mon Aug 12, 2019 11:05 pm

Re: Flatpress 1.2.1 problem on login

Post by Panther » Fri Aug 06, 2021 5:28 pm

I've resolved to use php version 5.6.32 and I have had disabled plugin

Entry List This plugin add the [entrylist] tag to make the list of the entries. It needs BBCode.

I believed was a problem was the version, never believed was version of php.

Thanks for all your support.

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest